Follow

FAQ - Minimum System Requirements for KingsRoad

To run KingsRoad, your computer must be able to run Adobe Flash 12.0. Minimum technical specifications for Flash 12.0 can be found here.

KingsRoad also takes advantage of Flash's Stage3D feature. Chipsets unsupported by Stage3D can be found here. If your computer cannot use Stage3D, you will unfortunately be unable to play KingsRoad.

Supported Operating Systems

  • Windows XP
  • Windows Vista
  • Windows 7
  • Macintosh OS X

Supported Browsers

  • Google Chrome (Windows 7 and newer, Macintosh OS X)
  • Mozilla Firefox (All versions of Windows, Macintosh OS X)
  • Safari (Macintosh OS X)
  • Internet Explorer (Windows, version 10 and newer)

Supported Flash Versions

  • Adobe Flash Player version 12.0 and newer

 

Was this article helpful?
55 out of 55 found this helpful
Have more questions? Submit a request

0 Comments

Article is closed for comments.
Powered by Zendesk